%define rel      2

Name: okular
Summary: A universal document viewer
Version:   4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2
URL: http://www.kde.org/applications/graphics/okular/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(poppler-qt4) >= 0.8.0
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(ddjvuapi)
BuildRequires: chmlib-devel
BuildRequires: ebook-tools-devel
Suggests: okular-handbook
# Branch Patch (100-200)

%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files
%_kde_bindir/okular
%_kde_libdir/kde4/okularGenerator_*
%_kde_libdir/kde4/okularpart.so
%_kde_libdir/kde4/kio_msits.so
%_kde_datadir/applications/kde4/okular*
%_kde_appsdir/okular
%_kde_datadir/config.kcfg/okular.kcfg
%_kde_datadir/config.kcfg/gssettings.kcfg
%_kde_datadir/kde4/services/libokularGenerator_*
%_kde_services/okular*
%_kde_services/msits*
%_kde_servicetypes/okularGenerator.desktop
%_kde_iconsdir/*/*/*/okular.*

#------------------------------------------------------------------------------

%package handbook
Summary: Okular handbook
Conflicts: okular < 2:4.7.1
Requires:  okular >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description handbook
This package provides okular handbook

%files handbook
%doc AUTHORS COPYING TODO VERSION
%doc %_kde_docdir/HTML/en/okular/

#------------------------------------------------------------------------------	

%define okularcore_major 1
%define libokularcore %mklibname okularcore %okularcore_major

%package -n %libokularcore
Summary: Runtime library for okular
Group: System/Libraries

%description -n %libokularcore
Runtime library for Okular.

%files -n %libokularcore
%_kde_libdir/libokularcore.so.%{okularcore_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for kdegraphics
Group: Development/KDE and Qt
Conflicts: kdegraphics4-devel < 2:4.6.90
Requires: %libokularcore = %epoch:%version-%release
Requires: kdelibs4-devel >= 2:%{version}
Requires: pkgconfig(qimageblitz)
Requires: pkgconfig(poppler-qt4) >= 0.8.0
Requires: pkgconfig(libspectre)
Requires: pkgconfig(ddjvuapi)
Requires: chmlib-devel
Requires: ebook-tools-devel

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_kde_includedir/%{name}
%_kde_libdir/cmake/Okular/OkularConfig.cmake
%_kde_libdir/cmake/Okular/OkularConfigVersion.cmake
%_kde_libdir/libokularcore.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build



%changelog

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232789
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228446
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220878
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198219
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190978
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-0.mga2
+ Revision: 185925
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182189
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176544
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161414
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151986
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140676
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-2.mga2
+ Revision: 125941
- Really convert all BR libpoppler-qt4-devel to pkgconfig(poppler-qt4)

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-1.mga2
+ Revision: 125940
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122513
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Thu Jun 30 2011 fwang <fwang> 2:4.6.90-2.mga2
+ Revision: 116238
- do not obsolete old packages

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115876
- Add an obsoletes on kdegraphics4-devel on the -devel package
- Add conflicts against kdegraphics4-devel for -devel package
- add more requires for -devel package
- imported package okular

